.wrapper {
    position: fixed;
    z-index: 1001;
    display: flex;
    flex-direction: column;

    &.topright {
        top: 0;
        right: 0;
    }

    &.topleft {
        top: 0;
        left: 0;
    }
}


.toast {
    border-radius: $border-radius;
    background: $grey-50;
    box-shadow: 0px -1px 4px rgba(19, 41, 61, 0.04), 0px 4px 8px rgba(77, 65, 108, 0.12);
    transition: opacity 300ms ease 0ms;
    opacity: 0;

    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    box-sizing: border-box;
    width: 30rem;

    @include padding(4, 6);
    @include margin(4, 4);

    &:first-child {
        @include margin(0, 4, 4, 4);
        border-radius: 0 0 $border-radius $border-radius;
    }

    .message {
        flex-grow: 1;
        @include margin(0, 4);

        .title {
            @include margin(2, 0, 4, 0);
        }

        .body {
            @include marginTop(2.5);
        }
    }

    .icon {
        flex-shrink: 0;
        @include marginTop(2);
    }

    .close {
        flex-shrink: 0;
    }

    &.open {
        opacity: 1;
    }

    &.info {
        .icon {
            color: $blue-600;
        }
    }

    &.success {
        .icon {
            color: $green-600;
        }
    }

    &.error {
        .icon {
            color: $red-600;
        }
    }

    &.warning {
        .icon {
            color: $yellow-500;
        }
    }
}


// use with react-tostify library
.toastify {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;

    .message {
        flex-grow: 1;
        @include margin(0, 4);

        .title {
            @include margin(2, 0, 4, 0);
        }

        .body {
            @include marginTop(2.5);
        }
    }

    .icon {
        flex-shrink: 0;
        @include marginTop(2);
    }

    &.info {
        .icon {
            color: $blue-600;
        }
    }

    &.success {
        .icon {
            color: $green-600;
        }
    }

    &.error {
        .icon {
            color: $red-600;
        }
    }

    &.warning {
        .icon {
            color: $yellow-500;
        }
    }
}
